Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82531

Summary: CJK doesn't show when it is being input
Product: [Retired] Red Hat Linux Reporter: David Joo <djoo>
Component: openoffice.orgAssignee: Jakub Jelinek <jakub>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: eng-i18n-bugs, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: qa-i18n
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-05-08 01:13:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79579    

Description David Joo 2003-01-23 04:57:49 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Install in CJK
2. Open Openoffice
3. Try to type any chars
    
Actual results:
Blanks until the font has been picked for the language.

Expected results:
Automatically, know what font it should use.

Additional info:
It is default font issue, it doesn't have default font for differnt languages, 
also for the spreadsheet for the row no > 2 and colum >2 even if you choose a 
font and try to input, the font will automatically change back to default font 
which can't show CJK at all.

Comment 1 Warren Togami 2003-02-22 07:14:38 UTC
This situation has gotten worse from openoffice-1.0.1 in Red Hat 8.0. 
Previously it would (by default) at least display characters in kinput2, but
inputted characters would be blank rectangles.  Now you cannot see any
characters in the kinput2 window, and there are tiny spaces rather than easily
visible rectangular blocks.